org.apache.sis.parameter

## Interface Parameterized

- All Known Implementing Classes:
    AbstractMathTransform, AbstractMathTransform.Inverse, AbstractMathTransform1D, AbstractMathTransform1D.Inverse, AbstractMathTransform2D, AbstractMathTransform2D.Inverse, AlbersEqualArea, CylindricalEqualArea, DatumShiftTransform, DefaultConversion, DefaultTransformation, EllipsoidToCentricTransform, InterpolatedGeocentricTransform, InterpolatedMolodenskyTransform, InterpolatedTransform, LambertConicConformal, Mercator, MolodenskyTransform, NormalizedProjection, ObliqueStereographic, PassThroughTransform, PolarStereographic, TransverseMercator, ZonedGridSystem

      public interface Parameterized

  An object which can supply its parameters in a `ParameterValueGroup`. All Apache SIS implementations of `MathTransform` implement this interface.
  Since:
    0.5

  Defined in the `sis-referencing` module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterDescriptorGroup` | `getParameterDescriptors()` Returns the parameter descriptors for this parameterized object, or `null` if unknown.
    `ParameterValueGroup` | `getParameterValues()` Returns the parameter values for this parameterized object, or `null` if unknown.

- - ### Method Detail

    - #### getParameterDescriptors

          ParameterDescriptorGroup getParameterDescriptors()

      Returns the parameter descriptors for this parameterized object, or `null` if unknown.
      Returns:
        the parameter descriptors for this object, or `null`.

    - #### getParameterValues

          ParameterValueGroup getParameterValues()

      Returns the parameter values for this parameterized object, or `null` if unknown.
      Modifying parameter values
      Unless explicitely allowed by the implementation class, callers should not modify the values returned by this method. Implementors are encouraged to protect their internal data by returning an unmodifiable view or a copy of their parameters. If the caller wishes to edit parameter values, then (s)he should clone the parameters before to modify them, then use the modified parameters for creating a new `Parameterized` object.
      Returns:
        the parameter values for this object, or `null` if unknown.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.